import {
	myRequest
} from '../request.js'
export default {
	//生成学习计划
	planGenerate(data) {
		return myRequest({
			url: '/plan/generate',
			method: 'get',
			data: data
		})
	},
	//修改计划
	planupdateGenerate(data) {
		return myRequest({
			url:'/plan/updateGenerate',
			method: 'post',
			data: data
		})
	},
	//获得用户学习计划
	planUserPlan(data) {
		return myRequest({
			url: '/plan/userPlan',
			method: 'get',
			data: data
		})
	},
	//本周用户学习计划
	userPlanSeven(data) {
		return myRequest({
			url: '/plan/userPlanSeven',
			method: 'get',
			data: data
		})
	},
}
